import request from '@/utils/request'

// 查询信用怀化基础数据列表
export function listInfo(query) {
  return request({
    url: '/basicData/xcrXinyonghuaihuaBaseInfo/findByPage',
    method: 'get',
    params: query
  })
}

// 查询信用怀化基础数据详细
export function getInfo(xhCodeId) {
  return request({
    url: '/basicData/xcrXinyonghuaihuaBaseInfo/' + xhCodeId,
    method: 'get'
  })
}

// 新增信用怀化基础数据
export function addInfo(data) {
  return request({
    url: '/basicData/xcrXinyonghuaihuaBaseInfo',
    method: 'post',
    data: data
  })
}

// 修改信用怀化基础数据
export function updateInfo(data) {
  return request({
    url: '/basicData/xcrXinyonghuaihuaBaseInfo',
    method: 'put',
    data: data
  })
}

// 删除信用怀化基础数据
export function delInfo(xhCodeId) {
  return request({
    url: '/basicData/xcrXinyonghuaihuaBaseInfo/deleteAll',
    method: 'delete'
  })
}
// 批量删除行政许可
export function delInfoBatch(ids) {
  return request.post('/basicData/xcrXinyonghuaihuaBaseInfo/delete',ids)
}
